Confluence REST API version compatibility

We have an application the uses the REST API to access the content of Confluence Server v.5.1.3-v.6.3.4 .

Will this work on a 6.4.2 version server.

Where can I find a list of breaking changes in the REST API?

Thank you,
Jay